=== debian/changelog ===
inn2 (2.7.2~20240212-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:28:36 +0000

inn2 (2.7.2~20240212-1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:15:07 +0000

inn2 (2.7.2~20240212-1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:15 +0100

inn2 (2.7.2~20240212-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.
    + Get the Python link flags from python-config. (Closes: #1061315)

 -- Marco d'Itri <md@linux.it>  Mon, 12 Feb 2024 23:00:26 +0100

inn2 (2.7.2~20240120-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.

 -- Marco d'Itri <md@linux.it>  Wed, 24 Jan 2024 23:04:01 +0100
